/*
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

import Foundation

let LOCAL_PORT = 15000
let DEFAULT_LISTEN_PORT = 5353

let isLittleIndian = Int(OSHostByteOrder()) == OSLittleEndian
let htons = isLittleIndian ? CFSwapInt16 : { $0 }

let WIFI_BASE_URL = "://mysimplelink.net"
let WIFI_DEFAULT_URL = ("http" + WIFI_BASE_URL)
let WIFI_PARAM_FILE = "/param_product_version.txt"
let WIFI_R2_VERSION = "R2.0"
let WIFI_MAX_TRIES = 60

let WIFI_R2_SETNAME_PATH = "/api/1/netapp/set_urn"
let WIFI_SETNAME_PARAM = "__SL_P_S.B"

let WIFI_R2_SETPROF_PATH = "/api/1/wlan/profile_add"
let WIFI_SSID_PARAM = "__SL_P_P.A"
let WIFI_SECTYPE_PARAM = "__SL_P_P.B"
let WIFI_SECPASS_PARAM = "__SL_P_P.C"
let WIFI_SECOTHER_PARAM = "__SL_P_P.D"

let WIFI_R2_MOVESTATE_PATH = "/api/1/wlan/confirm_req"
let WIFI_UDP_CONFIRM_PORT: UInt16 = 1501

let WIFI_SEC_TYPE_NONE = 0
let WIFI_SEC_TYPE_WEP = 1
let WIFI_SEC_TYPE_WPA = 2

let WIFI_CONFIRM_REQUEST = "/param_cfg_result.txt"

/* Status codes for WiFi provisioning confirmation */
let WIFI_CONF_NOT_STARTED = "0"
let WIFI_CONF_NO_SSID = "1"
let WIFI_CONF_CONN_FAIL = "2"
let WIFI_CONF_NO_IP = "3"
let WIFI_CONF_FEEDBACK_FAIL = "4"
let WIFI_CONF_GOOD = "5"
